| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

element <m:mtable>

Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 26 attributes, attr. wildcard, 1 element
Subst.Gr: | substitutes for m:PresentationExpression
Defined: | globally in mathml3-presentation.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | never

Component Diagram

XML Representation Summary
<m:mtable
id | = | xs:ID
xref | = | xs:anySimpleType
class | = | xs:NMTOKENS
style | = | xs:string
href | = | xs:anyURI
other | = | xs:anySimpleType
mathcolor | = | restriction of xs:string
mathbackground | = | (restriction of xs:string | "transparent")
align | = | restriction of xs:string
rowalign | = | restriction of list of ("top" | "bottom" | "center" | "baseline" | "axis")
columnalign | = | restriction of list of ("left" | "center" | "right")
groupalign | = | restriction of xs:string
alignmentscope | = | restriction of list of ("true" | "false")
columnwidth | = | restriction of list of (restriction of xs:string | "auto" | "fit")
width | = | (restriction of xs:string | "auto")
rowspacing | = | restriction of list of restriction of xs:string
columnspacing | = | restriction of list of restriction of xs:string
rowlines | = | restriction of list of ("none" | "solid" | "dashed")
columnlines | = | restriction of list of ("none" | "solid" | "dashed")
frame | = | ("none" | "solid" | "dashed")
framespacing | = | restriction of list of (restriction of xs:string | restriction of xs:string)
equalrows | = | ("true" | "false")
equalcolumns | = | ("true" | "false")
displaystyle | = | ("true" | "false")
side | = | ("left" | "right" | "leftoverlap" | "rightoverlap")
minlabelspacing | = | restriction of xs:string
| {any attribute from non-schema namespace}
| >
Content: | m:TableRowExpression*
</m:mtable>

Related Components

- May contain elements by substitutions (2):
  m:mlabeledtr, m:mtr
- May be included in elements by substitutions (30):

  m:ci, m:cn, m:csymbol, m:maction, m:math, m:menclose, m:merror, m:mfenced, m:mfrac, m:mlongdiv, m:mmultiscripts, m:mover, m:mpadded, m:mphantom, m:mroot, | m:mrow, m:mscarries, m:mscarry, m:msgroup, m:msqrt, m:msrow, m:mstack, m:mstyle, m:msub, m:msubsup, m:msup, m:mtd, m:munder, m:munderover, m:semantics (defined in group m:semantics)

XML Source (see within schema source)

<xs:element name="mtable" substitutionGroup="m:PresentationExpression"> <xs:complexType> <xs:sequence> <xs:element maxOccurs="unbounded" minOccurs="0" ref="m:TableRowExpression"/> </xs:sequence> <xs:attributeGroup ref="m:mtable.attributes"/> </xs:complexType> </xs:element>

Content Element Details (all declarations defined in this component; 1/1)
m:TableRowExpression

Type: | xs:anyType, predefined
Content: | any
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) element m:mtable

XML Source (see within schema source)

<xs:element maxOccurs="unbounded" minOccurs="0" ref="m:TableRowExpression"/>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.